<?php
/**
 * hook for the Views module (if used)
 */
/**
 * Implements hook_views_pre_render().
 */ 
function sign_for_acknowledgement_views_pre_render(&$view) {
  $uid = $GLOBALS['user']->uid;
  if (!$uid) {
    return;
  }
  foreach ($view->result as $node) {
    if (!isset($node->nid)) {
      continue;
    }
    if (!_sign_for_acknowledgement_applies_to(node_load($node->nid))) {
      continue;
    }
    if (_sign_for_acknowledgement_already_signed($uid, $node->nid, $timestamp = 0)) {
      continue;
    }
    $timestamp = _sign_for_acknowledgement_get_expiration_date(TRUE, $node->nid);
    $is_expired = ($timestamp && variable_get('sign_for_acknowledgement_block_expired', FALSE) && time() > $timestamp);
    if ($is_expired) {
      continue;
    }
    $node->node_title .= '***';
    if (isset($msg)) continue;
    $msg = TRUE;
    $view->attachment_before = filter_xss(variable_get('sign_for_acknowledgement_marked', t('The documents marked with *** are to be signed by you.')));    
  }      
}
